<script setup lang="ts">
import type { CatFact } from '../types'

defineProps<{ value: CatFact }>()
</script>

<template>
  <li class="cat-card">{{ value.fact }}</li>
</template>

<style scoped>
.cat-card {
  padding: 1em;
  border-radius: 4px;
  box-shadow: 0 5px 5px rgba(0, 0, 0, 0.1);
  background-color: white;
}
</style>
